ln -sf /usr/share/zoneinfo/Europe/Berlin /etc/localtime
hwclock --systohc

# vim /etc/locale.gen
sed -i 's/#\(de_DE.UTF-8\)/\1/' /etc/locale.gen
locale-gen

echo "LANG=de_DE.UTF-8" >> /etc/locale.conf
echo "KEYMAP=de-latin1" >> /etc/vconsole.conf #only for console not for DE or terminal
echo "FONT=Tamsyn10x20r" >> /etc/vconsole.conf
echo "arch" >> /etc/hostname
# vim /etc/hosts
echo "127.0.0.1	localhost" >> /etc/hosts
echo "::1	localhost" >> /etc/hosts
echo "127.0.1.1	arch.localedomain	arch" >> /etc/hosts
echo root:test | chpasswd

#AUR
pacman -S base-devel linux-headers linux-lts-headers

# bind = dnsutils (dig, etc.)
pacman -S dialog reflector xdg-user-dirs xdg-utils inetutils bind bash-completion openssh rsync iptables-nft ipset firewalld lynx

pacman -S efibootmgr mtools dosfstools sof-firmware os-prober
#pacman -S grub os-prober efibootmgr mtools dosfstools

pacman -S iwd plasma kde-applications sddm bluez bluez-utils cups hplip alsa-utils pipewire pipewire-docs pipewire-alsa pipewire-pulse pipewire-jack helvum pavucontrol 

#Power
pacman -S acpi acpi_call tlp

# System
systemctl enable systemd-networkd
systemctl enable systemd-resolved
systemctl enable sshd
systemctl enable reflector.timer
systemctl enable firewalld
systemctl enable fstrim.timer
# Laptop
systemctl enable iwd
systemctl enable sddm
systemctl enable cups

sed -i 's/MODULES=()/MODULES=(amdgpu)/' /etc/mkinitcpio.conf

mkinitcpio -p linux
